Click or drag to resize
BrepFaceListAddConeFace Method
Add a new face to the brep whose surface geometry is a ruled cone with the edge as the base and the vertex as the apex point.

Namespace: Rhino.Geometry.Collections
Assembly: RhinoCommon (in RhinoCommon.dll) Version: 5.1.50000.0 (5.0.20693.0)
Syntax
public BrepFace AddConeFace(
	BrepVertex vertex,
	BrepEdge edge,
	bool revEdge
)

Parameters

vertex
Type: Rhino.GeometryBrepVertex
The apex of the cone will be at this vertex. The north side of the surface's parameter space will be a singular point at the vertex.
edge
Type: Rhino.GeometryBrepEdge
The south side of the face's surface will run along this edge.
revEdge
Type: SystemBoolean
true if the new face's outer boundary orientation along the edge is opposite the orientation of edge.

Return Value

Type: BrepFace

[Missing <returns> documentation for "M:Rhino.Geometry.Collections.BrepFaceList.AddConeFace(Rhino.Geometry.BrepVertex,Rhino.Geometry.BrepEdge,System.Boolean)"]

See Also